=== debian/changelog ===
x2goclient (4.0.1.3-0x2go1) unstable; urgency=low

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.3):
    - changed keyboard settings. Supported modes: auto, none and config with
      model/layout(variant)
    - Enables forwarding (delegation) of GSSAPI credentials to the server. 
    - Make GSSAPI delegation configurable.
    - Update Russian translation file.

  [ Orion Poplawski ]
  * New upstream version (4.0.1.3):
    - Protect x2goplugin.html. Make it only available from the local host.

  [ Mike Gabriel ]
  * New upstream version (4.0.1.3):
    - Fix scan for pulseaudio cookie file. Issue got introduced in X2Go Client
      4.0.1.2 and let pulseaudio sound setup fail completely in the Linux
      X2Go Client of that version. (Fixes: #384).
    - Minor update of the German translation file.

  [ Klaus Ade Johnstad ]
  * New upstream version (4.0.1.3):
    - Update Bokmal translation file.

  [ Ricardo Díaz Martín ]
  * New upstream version (4.0.1.3):
    - Update Spanish translation file.

  [ Daniel Lindgren ]
  * New upstream version (4.0.1.3):
    - Update Swedish translation file.

  [ Stefan Baur ]
  * New upstream version (4.0.1.3):
    - Update German translation file.

  [ Martti Pitkanen ]
  * New upstream version (4.0.1.3):
    - New translation of X2Go Client to Finnish.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Jan 2014 08:56:30 +0100

x2goclient (4.0.1.2-0x2go2) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (4.0.1.2):
    - Provide Keywords: key in .desktop file.
    - Add NSIS packaging files for win32 builds to source tree.
      (Files provided by Oleksandr Shneyder, thanks!!!).
    - Rename win32 desktop and startmenu icon from "X2goClient" to "X2Go
      Client".
    - Store broker HTTPS certificate exceptions in
      $HOME/.x2go/ssl/exceptions (before: $HOME/ssl/exceptions).
      (Fixes: #328).
    - Perform sanity checks on data that comes in from X2Go Servers.
      Prohibit the execution of arbitrary code via the ~/.bashrc file.
      (Fixes: #333).
    - Add option --broker-cacertfile. Allow usage of non-system-wide
      installed (self-signed) SSL certificate chains for https (SSL)
      session broker connections. (Fixes: #311).
    - Update man page for new --tray-icon cmdline option.
    - Update man page for --broker-url. Explain the syntax of <URL>.
    - Properly handle (=expand) the "~" character in key filenames. (Brought to
      attention by Eldamir on IRC. Thanks!).
    - Expand tilde operator for all other file paths handed over to X2Go Client
      via sessions file or cmdline parameter.
    - Syntax fix of x2goclient.desktop file.
    - Test for various file locations of the pulseaudio cookie file.
    - Allow patching of qmake-qt4 executable path in Makefile.
    - Make qmake-qt4 and lrelease path in Makefile easily replacable (as
      RHEL-5 does not have those tools in $PATH).
    - Make sure that build_client and build_plugin are not build with parallel
      make.
    - Make x2goplugin-provider installable via Makefile.
  * Pull-in packaging changes from Debian.
  * debian/source/format:
    + Switch to format 1.0.
  * x2goclient.spec:
    + Ship x2goclient.spec (RPM package definitions) in upstream project.
      (Thanks to the Fedora package maintainers).
    + Clear (Fedora package) changelog.
    + Make package build on Fedora/EPEL versions that do not have the
      qtbrowserplugin package.
    + For EPEL-5 builds: replace full path to qmake-qt4 and lrelease.
    + Split up package into bin:packages: x2goclient, x2goplugin,
      x2goplugin-provider.
    + Make sure lrelease-qt4 is executed (not just lrelease).

  [ Ricardo Díaz Martín ]
  * New upstream versino (4.0.1.2):
    - Strip whitespaces off of user name, host name and other
      strings when loading / saving session profiles.(Fixes: #315).
    - New option --tray-icon. Force showing the tray icon, even for
      hidden sessions. Also allow creation of .desktop files with
      --tray-icon optionally being enabled. (Fixes: #316).
    - Update Spanish translation.

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.2):
    - Support for keys "shadowuser" "shadowdisplay" and "shadowmode" in
      config file. This allows choosing the default display for shadow
      sessions.
    - Support for GSSApi(Kerberos 5) authentication. Using ssh/scp commands
      on Linux and Mac and plink/pscp on Windows.
    - Support for ChallengeResponseAuthentication (Google Authenticator)
    - Setting main window focus on mac (Fixes: #139).   
    - Additional check if authentication with GSSApi successfull 
    - c121b7e2d3d83abdc2d7a29637bc3294e38b2ec3 broke checking if remote
      command produce only stderr and not stdout. It made x2goclient crash
      if x2gostartagent send LIMIT error. Current commit fixes this issue. 
    - SshMasterConnection should use current user name if no user name is
      specified in session settings
    - GSSApi(Kerberos 5) authentication for sshproxy and sshbroker 
    - fixed GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
      on windows

  [ Heinrich Schuchardt ]
  * New upstream version (4.0.1.2):
    - Handle SSH host key changes more elegantly and allow user interaction
      if such a host key change occurs. (Fixes: #241).

  [ Michael DePaulo ]
  * New upstream version (4.0.1.2):
    - win32: Add uninstall information to Add/Remove Programs. (Fixes: #230).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 17 Dec 2013 15:21:38 +0100

x2goclient (4.0.1.1-0~x2go1) unstable; urgency=low

  [ Nicolai Hansen ]
  * New upstream version (4.0.1.1):
    - Update Danish translation file.

  [ Terje Andersen ]
  * New upstream version (4.0.1.1):
    - Update Norwegian Bokmaal translation file.

  [ Oleksandr Shneyder ]
  * New upstream version (4.0.1.1):
    - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
      resolution. (Fixes: #151).

